summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorChristoph Brill <egore911@egore911.de>2012-07-14 21:43:44 +0200
committerChristoph Brill <egore911@egore911.de>2012-07-14 21:44:13 +0200
commit6f3d801b0ebf3b1faa77150afa5d01a468e690f1 (patch)
treefe5ef9854729592a024eb873f78224f224b1742a
parent3fb5ab2101bfc434b955318b18d2c9fa1e6a6e65 (diff)
+dart-editor-9474.ebuild
Initial ebuild written by me
-rw-r--r--dev-util/dart-editor/ChangeLog9
-rw-r--r--dev-util/dart-editor/Manifest5
-rw-r--r--dev-util/dart-editor/dart-editor-9474.ebuild49
-rw-r--r--dev-util/dart-editor/metadata.xml7
4 files changed, 70 insertions, 0 deletions
diff --git a/dev-util/dart-editor/ChangeLog b/dev-util/dart-editor/ChangeLog
new file mode 100644
index 0000000..aef28e8
--- /dev/null
+++ b/dev-util/dart-editor/ChangeLog
@@ -0,0 +1,9 @@
+# ChangeLog for dev-util/dart-editor
+# Copyright 1999-2012 Gentoo Foundation; Distributed under the GPL v2
+# $Header: $
+
+*dart-editor-9474 (14 Jul 2012)
+
+ 14 Jul 2012; Christoph Brill <egore911@egore911.de> +dart-editor-9474.ebuild:
+ Initial ebuild written by me
+
diff --git a/dev-util/dart-editor/Manifest b/dev-util/dart-editor/Manifest
new file mode 100644
index 0000000..d44ed04
--- /dev/null
+++ b/dev-util/dart-editor/Manifest
@@ -0,0 +1,5 @@
+DIST dart-editor-linux.gtk.x86.zip 112517455 SHA256 df1ccb8b238ce133c0b9e3fdf94a8ff7f51b8c10583c0e09708d5bc2ebc96757
+DIST dart-editor-linux.gtk.x86_64.zip 112690455 SHA256 34a403c2778674d0f250553578cc55ba0c7fb41cb281cbf66676ee0db29ccf2f
+EBUILD dart-editor-9474.ebuild 1270 SHA256 e2f8de2b906cb2b7e8186cd57e84bce51e0b30548f8fb7b2dbcf58a76de95e63 SHA512 9e514760f6158ee535a1a6ec1c961ae779e106ab022a03cfe76daa0d2f16f902df9c2717da040cb5861ef59a33e64b02f85fb857d63f1818dec3fbbe08227415 WHIRLPOOL 4cae8b3a54563cd9eeb7801a756bb34ca762cbc02574aea7cefa3c89e92a89fb817e84200c1f5d74c57882e6b69dce33b9ba5916f476b8d08d8efca79b08820c
+MISC ChangeLog 266 SHA256 2ef79144e91ffe094cfaecfe205329af8b5dfad44f082aa8c274dbccfa241981 SHA512 e96f184254e8bdc84846370517172ca474e892455c029b7deaa1f2ac5feb0ba49aabf9cba371a4f902f2b313c84d81c71af98a4bf05470b773aac8347c9d4a11 WHIRLPOOL 8b7b2fe58b364369b899b00320a2fe31f11e5b8ee2b5bf0fbede727da9e48c7d1716c114a2e3c7e695f30a68ae7fc96a402554c2233b283aeaa8eede8513e01c
+MISC metadata.xml 204 SHA256 e808030aad62dfe3e81350c1c879870c3d406c50e908ddc3f521480aec65e8d5 SHA512 4e3e5b3211b0bd063a20b73fc3489bcb4f483990dc0eeb4c677a969f653b72b182e266bdf370669ab83713a9a2b1e26ae6eb703e219d9931c5220d51fb9f5f02 WHIRLPOOL 17bb47a871a62dbb7e5baf653d0e099928ba21409fd66c270f762e528ac1a6323e660c5e3ad8c72847a737ffd105f1d7528ad856608f9f9ac48bb5e55ab13d24
diff --git a/dev-util/dart-editor/dart-editor-9474.ebuild b/dev-util/dart-editor/dart-editor-9474.ebuild
new file mode 100644
index 0000000..0780469
--- /dev/null
+++ b/dev-util/dart-editor/dart-editor-9474.ebuild
@@ -0,0 +1,49 @@
+# Copyright 1999-2012 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: $
+
+EAPI=4
+
+inherit eutils
+
+DESCRIPTION=""
+HOMEPAGE=""
+SRC_URI="amd64? ( https://gsdview.appspot.com/dart-editor-archive-integration/${PV}/dart-editor-linux.gtk.x86_64.zip )
+ x86? ( https://gsdview.appspot.com/dart-editor-archive-integration/${PV}/dart-editor-linux.gtk.x86.zip )"
+
+LICENSE="BSD-2"
+SLOT="0"
+KEYWORDS="~amd64"
+IUSE=""
+
+DEPEND=""
+RDEPEND="${DEPEND}"
+
+S="${WORKDIR}"/dart
+
+pkg_setup() {
+ enewgroup dart
+}
+
+src_install() {
+ insinto /opt/dart-editor
+ doins -r about_files configuration dart-sdk features plugins samples .eclipseproduct DartEditor.ini about.html icon.xpm
+
+ insopts -m 755
+ doins DartEditor
+
+ insinto /opt/dart-editor/dart-sdk/bin
+ doins dart-sdk/bin/*
+
+ insinto /opt/dart-editor/dart-sdk/chromium
+ doins dart-sdk/chromium/{DumpRenderTree,chrome-wrapper,chrome_sandbox,nacl_helper_bootstrap,nacl_irt_x86_32.nexe,xdg-mime,xdg-settings}
+
+ fowners root:dart /opt/dart-editor/samples || die
+ fperms 0775 /opt/dart-editor/samples || die
+
+ echo "PATH=\"/opt/dart-editor\"" > "${T}/80${PN}" || die
+ doenvd "${T}/80${PN}" || die
+
+ make_desktop_entry "/opt/dart-editor/DartEditor" "Dart Editor" "/opt/dart-editor/icon.xpm" || die
+
+}
diff --git a/dev-util/dart-editor/metadata.xml b/dev-util/dart-editor/metadata.xml
new file mode 100644
index 0000000..1188c23
--- /dev/null
+++ b/dev-util/dart-editor/metadata.xml
@@ -0,0 +1,7 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+<maintainer>
+ <email>egore911@egore911.de</email>
+</maintainer>
+</pkgmetadata>